// creator  : weidu (version 130)
// argument : MORIK.DLG
// game     : .
// source   : ./override/MORIK.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~MORIK~ 229 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from:
  SAY @1 /* ~Aye Xzar, looks to have been roughed up quite well.~ #229 */
  IF ~~ THEN EXTERN ~JEANNA~ 3
END

IF ~~ THEN BEGIN 1 // from:
  SAY @2 /* ~And ye look a bit scuffed, too.  A fine pair of troubles all your own.~ #230 */
  IF ~~ THEN EXTERN ~JEANNA~ 3
END

IF ~~ THEN BEGIN 2 // from:
  SAY @3 /* ~We've not the time for your troubles, though we may have a purpose for ye.~ #231 */
  IF ~~ THEN EXTERN ~JEANNA~ 9
END

IF ~~ THEN BEGIN 3 // from:
  SAY @4 /* ~I'll not be insulted by this whelp!~ #232 */
  IF ~~ THEN EXTERN ~JEANNA~ 5
END

IF ~~ THEN BEGIN 4 // from:
  SAY @5 /* ~Refuse if ye wish.~ #233 */
  IF ~~ THEN EXTERN ~JEANNA~ 6
END

IF ~~ THEN BEGIN 5 // from:
  SAY @6 /* ~Just like all good people.~ #234 */
  IF ~~ THEN EXTERN ~JEANNA~ 8
END

IF ~~ THEN BEGIN 6 // from:
  SAY @7 /* ~Your conscience be your guide.~ #235 */
  IF ~~ THEN REPLY @8 /* ~There is little else for me to do.  I may as well go with you.~ #249 */ EXTERN ~JEANNA~ 10
  IF ~~ THEN REPLY @9 /* ~Go on your way and leave me be.  I would go my own path.~ #250 */ EXTERN ~JEANNA~ 11
  IF ~

ReactionGT(LastTalkedToBy,HOSTILE_UPPER)~ THEN REPLY @10 /* ~I would join with you, but I must meet someone first.  Perhaps you will go with me?~ #251 */ EXTERN ~JEANNA~ 12
  IF ~

ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)~ THEN REPLY @10 /* ~I would join with you, but I must meet someone first.  Perhaps you will go with me?~ #252 */ EXTERN ~JEANNA~ 13
END

IF ~~ THEN BEGIN 7 // from:
  SAY @11 /* ~Aye, we'll go wit ye.  Ye owe us fer our time though.~ #236 */
  IF ~~ THEN DO ~

SetGlobalTimer("Morik","GLOBAL",SIX_DAYS)

SetGlobalTimer("Jeanna","GLOBAL",FOUR_DAYS)

SetGlobal("VisitRagefast","GLOBAL",1)

ActionOverride("Jeanna",JoinParty())

JoinParty(~ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY @12 /* ~The night be not kind to fools.  Luck be with you.  You'll need it.~ #237 */
  IF ~~ THEN DO ~)

ActionOverride("Jeanna",MoveToPoint([4551.2374]))

ActionOverride("Jeanna",EscapeArea())

MoveToPoint([4482.2375])

EscapeA~ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY @13 /* ~Now you've gone and set him off!  Blasted mage will blither for hours!  Off wit ye!  I'll not suffer the both of ye!~ #239 */
  IF ~~ THEN DO ~rea()

ActionOverride("Jeanna",MoveToPoint([4551.2374]))

ActionOverride("Jeanna",EscapeArea())

MoveToPoint([4482.2375])

Esc~ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY @14 /* ~Rein it in, wizard!  I canna stand the way your senses flit about.  Could we just travel in peace?~ #240 */
  IF ~~ THEN DO ~apeArea()

SetGlobalTimer("Morik","GLOBAL",NINE_DAYS)

SetGlobalTimer("Jeanna","GLOBAL",SEVEN_DAYS)

SetGlobal("VisitRagefast","GLOBAL",1)

ActionOverride("Jeanna",JoinParty())

J~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 12 13 14 15 16 even though they appear after this state */
~()True()~ THEN BEGIN 11 // from:
  SAY @15 /* ~Hello there kid.  Rather strange place be to wandering, ain't it?  My companion has something to say to ya.~ #15437 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #0 ~Global("SpokeToJeanna","GLOBAL",1)~ THEN BEGIN 12 // from:
  SAY @16 /* ~I have no desire to speak with such as you!~ #15582 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #1 ~

False~ THEN BEGIN 13 // from:
  SAY @17 /* ~As ye would have it.  I likely would have put a dagger in ye eventually, but for now ye have been adequately useful.~ #16059 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #2 ~()False~ THEN BEGIN 14 // from:
  SAY @18 /* ~As ye would have it.  I likely would have put a dagger in ye eventually, but for now ye have been adequately useful.  Come wizard, we are inseparable until the day ye die.~ #16060 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #3 ~()False~ THEN BEGIN 15 // from:
  SAY @19 /* ~And good riddance to yer bad rubbish!  I suggest ye sleep with one eye open from now on.~ #16061 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #4 ~()False~ THEN BEGIN 16 // from:
  SAY @20 /* ~And good riddance to yer bad rubbish!  I suggest ye sleep with one eye open from now on.  Come wizard!  I'll not miss yer inevitable death by leavin' ye behind!~ #16062 */
  IF ~~ THEN DO ~~ EXIT
END
